> ## Documentation Index
> Fetch the complete documentation index at: https://docs.events.intrace.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Country Counts

> Return event counts grouped by country

Designed for choropleth and summary map layers.


## OpenAPI

````yaml get /v1/events/country-counts
openapi: 3.1.0
info:
  title: Intrace Events Monitoring API
  version: 0.1.0
  description: >
    External asset monitoring and event intelligence API derived from the
    internal

    Intrace events investigations platform.


    This public API is tenant-scoped by API key and intentionally does not
    expose

    internal identifiers such as case_id or investigation_id.
servers:
  - url: https://api.intrace.ai
security:
  - ApiKeyAuth: []
tags:
  - name: Assets
  - name: Threats
  - name: Incidents
  - name: Alerts
  - name: Reports
  - name: Event Intelligence
paths:
  /v1/events/country-counts:
    get:
      tags:
        - Event Intelligence
      summary: Country counts
      operationId: countryCounts
      parameters:
        - name: date_from
          in: query
          schema:
            type: string
            format: date
        - name: date_to
          in: query
          schema:
            type: string
            format: date
        - name: event_category
          in: query
          schema:
            type: string
        - name: event_type
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Counts grouped by country.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CountryCountsResponse'
components:
  schemas:
    CountryCountsResponse:
      type: object
      properties:
        counts:
          type: array
          items:
            $ref: '#/components/schemas/CountryCount'
      required:
        - counts
    CountryCount:
      type: object
      properties:
        country:
          type: string
        count:
          type: integer
      required:
        - country
        - count
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````